org.apache.tinkerpop.gremlin.server.auth

## Class AllowAllAuthenticator

- java.lang.Object
- - org.apache.tinkerpop.gremlin.server.auth.AllowAllAuthenticator

- All Implemented Interfaces:
    Authenticator

      public final class AllowAllAuthenticator
      extends Object
      implements Authenticator

  Allows all requests to be authenticated.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.server.auth.Authenticator

      `Authenticator.SaslNegotiator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AllowAllAuthenticator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthenticatedUser` | `authenticate(Map<String,String> credentials)` A "standard" authentication implementation that can be used more generically without SASL support.
    `Authenticator.SaslNegotiator` | `newSaslNegotiator()` Deprecated. As of release 3.1.1-incubating, replaced by `Authenticator.newSaslNegotiator(InetAddress)`.
    `boolean` | `requireAuthentication()` Whether or not the authenticator requires explicit login.
    `void` | `setup(Map<String,Object> config)` Setup is called once upon system startup to initialize the `Authenticator`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.server.auth.Authenticator

      `newSaslNegotiator`

- - ### Constructor Detail

    - #### AllowAllAuthenticator

          public AllowAllAuthenticator()

  - ### Method Detail

    - #### requireAuthentication

          public boolean requireAuthentication()

      Description copied from interface: `Authenticator`
      Whether or not the authenticator requires explicit login. If false will instantiate user with AuthenticatedUser.ANONYMOUS_USER.
      Specified by:
        `requireAuthentication` in interface `Authenticator`

    - #### setup

          public void setup(Map<String,Object> config)

      Description copied from interface: `Authenticator`
      Setup is called once upon system startup to initialize the `Authenticator`.
      Specified by:
        `setup` in interface `Authenticator`

    - #### authenticate

          public AuthenticatedUser authenticate(Map<String,String> credentials)
                                         throws AuthenticationException

      Description copied from interface: `Authenticator`
      A "standard" authentication implementation that can be used more generically without SASL support. This implementation is used when a particular `Channelizer` doesn't support SASL directly (like basic HTTP authentication).
      Specified by:
        `authenticate` in interface `Authenticator`
      Throws:
        `AuthenticationException`

    - #### newSaslNegotiator

          @Deprecated
          public Authenticator.SaslNegotiator newSaslNegotiator()

      Deprecated. As of release 3.1.1-incubating, replaced by `Authenticator.newSaslNegotiator(InetAddress)`.
      Description copied from interface: `Authenticator`
      Provide a SASL handler to perform authentication for an single connection. SASL is a stateful protocol, so a new instance must be used for each authentication attempt.)
      Specified by:
        `newSaslNegotiator` in interface `Authenticator`
      See Also:
        TINKERPOP-995

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.